Draft Congé

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Fillet and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Draft Wire.svg Ligne brisée
Page suivante : Cercle Draft Circle.svg Arrow-right.svg

Draft Fillet.svg Draft Congé

Emplacement du menu
Draft → Fillet
Ateliers
Draft
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Draft Ligne, Draft Ligne brisée

Description

L'outil Draft Congé crée un congé, un coin arrondi, entre deux Draft Lignes. Vous pouvez également créer un chanfrein, une ligne droite, entre ces deux lignes.

Draft Fillet example.png

Plusieurs congés et chanfreins créés entre deux lignes

Utilisation

  1. Sélectionnez deux lignes déjà placées sur le document et qui se rencontrent en un point.
  2. Appuyez sur le bouton Draft Fillet.svg Creates a fillet....
  3. Choisissez le rayon du congé, puis cliquez sur le Entrée.

Création alternative de congés et de chanfreins

Une Draft Ligne brisée comportant au moins trois points peut également créer un congé ou un chanfrein.

  1. Sélectionnez deux lignes qui se croisent en un point.
  2. Cliquez sur le bouton Draft Wire.svg Draft Ligne brisée. Cela va fusionner les deux lignes en un seul objet Ligne brisée.
  3. Dans l'Éditeur de propriétés, entrez la valeur numérique souhaitée pour DonnéesFillet Radius (Rayon de congé) ou DonnéesChamfer Size (taille du chanfrein).

Cette méthode fonctionne également lors de la jonction de deux lignes brisées différentes.

Options

  • Cochez la case "Supprimer les objets d'origine" si vous souhaitez supprimer les deux lignes d'origine et ne conserver que le nouvel objet de congé.
  • Cochez la case "Créer un chanfrein" si vous souhaitez créer un bord droit au lieu d'un bord arrondi entre les deux lignes.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Remarques

  • L'objet congé résultant n'est pas modifiable.
  • Si le rayon est trop grand pour que l’arc produit ne sera pas tangent à l’une des lignes, l’opération échouera.
  • Seules les lignes simples sont supportées pour le moment, des lignes comportant plusieurs points comme une Draft Ligne brisée peuvent ne pas produire le résultat souhaité.

Propriétés

Un objet Congé partage la plupart des propriétés d'une Draft Ligne brisée. Cependant, seules certaines de ces propriétés sont applicables au congé.

Données

  • DonnéesStart: (lecture seulement) spécifie le point de départ.
  • DonnéesEnd: (lecture seulement) spécifies le point final.
  • DonnéesLength: (lecture seulement) spécifie la longueur de tout le segment.
  • DonnéesFillet Radius: (lecture seulement) rayon avec lequel le congé a été créé.

Vue

  • VueEnd Arrow: s'il est réglé sur true, un symbole apparaîtra au dernier point de la ligne, ce qui permet de l'utiliser comme ligne d'annotation.
  • VueArrow Size: spécifie la taille du symbole affiché à la fin de la ligne.
  • VueArrow Type: spécifie le type de symbole affiché à la fin de la ligne, qui peut être "Point", "Cercle", "Flèche", "Tick" ou "Tick-2".

Script

Voir aussi: Draft API et FreeCAD Scripts de base.

L'outil Congé peut être utilisé dans une macros et à partir de la console Python à l'aide de la fonction suivante:

fillet = make_fillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Crée un objet Congé entre les lignes ligne1 et ligne2, en utilisant le rayon pour la courbure.
  • Si le chanfrein est True, il créera une arête droite de la longueur du rayon, au lieu d'un arête arrondie.
  • Si delete est True, il supprimera les ligne1 et ligne2 données, et ne laissera que le nouvel objet.

Exemple:

import FreeCAD as App
import Draft
doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p2, p3)
doc.recompute()

fillet = Draft.make_fillet([line1, line2], radius=500)
doc.recompute()


Arrow-left.svg Page précédente : Draft Wire.svg Ligne brisée
Page suivante : Cercle Draft Circle.svg Arrow-right.svg